rte_event_eth_tx_adapter_conf(3)

NAME
rte_event_eth_tx_adapter_conf

SYNOPSIS

#include <rte_event_eth_tx_adapter.h>

  Data Fields

uint8_t event_port_id
uint32_t max_nb_tx

Detailed Description

Adapter configuration structure

See also
    rte_event_eth_tx_adapter_create_ext

    rte_event_eth_tx_adapter_conf_cb

Definition at line 96 of file rte_event_eth_tx_adapter.h.

Field Documentation

  uint8_t event_port_id
Event port identifier, the adapter service function dequeues mbuf events from this port.

See also
    RTE_EVENT_ETH_RX_ADAPTER_CAP_INTERNAL_PORT

Definition at line 97 of file rte_event_eth_tx_adapter.h.

  uint32_t max_nb_tx
The adapter can return early if it has processed at least max_nb_tx mbufs. This isn't treated as a requirement; batching may cause the adapter to process more than max_nb_tx mbufs.

Definition at line 102 of file rte_event_eth_tx_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.